Name: fonts-ttf-noto-sans
Summary: Google Noto Sans TrueType font
Version: 1.0
Release: %mkrel 2
License: Apache 
Group: System/Fonts/True type
Source: %{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/build-root-%{name}
BuildArch: noarch
Prefix: /usr/share/fonts
URL: http://www.1001freefonts.com/
BuildRequires: freetype-tools

%description
Google Noto Sans TrueType font


%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{prefix}/google
cp * $RPM_BUILD_ROOT/%{prefix}/google

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%{prefix}/google


%post
{
	ttmkfdir -d %{prefix}/google -o %{prefix}/google/fonts.scale
	umask 133
	/usr/X11R6/bin/mkfontdir %{prefix}/google
	/usr/sbin/chkfontpath -q -a %{prefix}/google
	[ -x /usr/bin/fc-cache ] && /usr/bin/fc-cache
} &> /dev/null || :

%preun
{
	if [ "$1" = "0" ]; then
		cd %{prefix}/google
		rm -f fonts.dir fonts.scale fonts.cache*
	fi
} &> /dev/null || :

%postun
if [ "$1" = "0" ]; then
  /usr/sbin/chkfontpath -q -r %{prefix}/google
fi
[ -x /usr/bin/fc-cache ] && /usr/bin/fc-cache


%changelog
* Tue Apr 09 2019 tex - 1.0-2pclos2019
- rebuild against updates

* Sat Mar 04 2017 bb2 <bb2> - 1.0-1pclos2017
- import into pclos

